Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Need Advices Before zypper dup 11.3 to 11.4.

  1. #1

    Default Need Advices Before zypper dup 11.3 to 11.4.

    I need some advices and several questions before and in process of doing dup on my 11.3 KDE to 11.4.

    I already fully back up my data and created image of my partition. So, it would not be problem for reverting back everything in case zypper dup fail. I also already applied any available updates.

    My first question is:
    I'm currently using KDE 4.6 Factory Repo. Do I need enable this repo during zypper dup process?
    I read
    Search for updated openSUSE 11.4 compatible third-party repositories that you used before and add them.
    at SDB:System upgrade - openSUSE.

    If I need to keep them during process, do I need to set its priority higher than 11.4 repos?

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    You should use just the OSS NON-OSS and Update repos for 11.4 to 'dup'

    I do not suggest you keep using kde-factory anyway.

    Once done add back Packman etc and switch to it/them
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    Quote Originally Posted by caf4926 View Post
    You should use just the OSS NON-OSS and Update repos for 11.4 to 'dup'

    I do not suggest you keep using kde-factory anyway.

    Once done add back Packman etc and switch to it/them
    Thanks Carl,

    This is my repo list now:
    ari@linux-2tny:~> zypper lr -d
    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    ---+----------------------+-----------------------+---------+---------+----------+--------+-------------------------------------------------------------------------------+--------
    1 | KDE_4.6_Factory_Repo | KDE 4.6 Factory Repo | No | No | 99 | rpm-md | Index of /repositories/KDE:/Distro:/Factory/openSUSE_11.3 |
    2 | Mozilla | Mozilla | No | No | 99 | rpm-md | Index of /repositories/mozilla/openSUSE_11.3 |
    3 | Non-oss | Non-oss | No | No | 99 | yast2 | Index of /distribution/11.3/repo/non-oss |
    4 | Oss | Oss | No | No | 99 | yast2 | Index of /distribution/11.3/repo/oss |
    5 | Packman_essentials | Packman_essentials | No | No | 99 | rpm-md | Index of /suse/openSUSE_11.3/Essentials/ |
    6 | Update | Update | No | No | 99 | rpm-md | Index of /update/11.3 |
    7 | nVidia | nVidia | No | No | 99 | rpm-md | http://download.nvidia.com/opensuse/11.3/ |
    8 | repo-11.4-non-oss | openSUSE-11.4 Non-OSS | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/non-oss |
    9 | repo-11.4-oss | openSUSE-11.4 OSS | Yes | Yes | 99 | yast2 | Index of /distribution/11.4/repo/oss |
    10 | repo-11.4-update | openSUSE-11.4 Updates | Yes | Yes | 99 | rpm-md | Index of /update/11.4 |
    ari@linux-2tny:~>
    But when I tried to refresh, I got this error:
    linux-2tny:~ # zypper ref
    Repository 'openSUSE-11.4 Non-OSS' is up to date.
    Repository 'openSUSE-11.4 OSS' is up to date.
    Building repository 'openSUSE-11.4 OSS' cache [done]
    Error building the cache:
    'repo2solv.sh' '-o' '/var/cache/zypp/solv/repo-11.4-oss/solv' '/var/cache/zypp/raw/repo-11.4-oss'

    gzip: packages.gz: invalid compressed data--format violated
    susetags: bad dependency line: 181071: =Prv: ksym(vaon(0naa:i2c_g71vanillandhwmon_dev7fd__r2t84b3ksym(vani_g71vani26ck_keys_pressed)8a4__r

    Skipping repository 'openSUSE-11.4 OSS' because of the above error.
    Repository 'openSUSE-11.4 Updates' is up to date.
    Some of the repositories have not been refreshed because of an error.
    linux-2tny:~ #
    What I have to do to solve this error?

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    Try this

    Code:
    zypper clean --all
    Can I just draw your attention to this:
    Upcomming power outage Saturday, 2011-04-30

    It might be that it's not such a good time to proceed.
    You don't have the 11.4 DVD then? That you could use the upgrade from the DVD?
    Personally I always fresh install.
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    Quote Originally Posted by caf4926 View Post
    Try this

    Code:
    zypper clean --all


    You don't have the 11.4 DVD then? That you could use the upgrade from the DVD?
    Personally I always fresh install.
    Thanks for information.

    I think i will proceed later, maybe on Monday.

    Btw, i tried the clear command. Then once again refresh but still get the error.
    linux-2tny:~ # zypper ref
    Retrieving repository 'openSUSE-11.4 Non-OSS' metadata [done]
    Building repository 'openSUSE-11.4 Non-OSS' cache [done]
    Retrieving repository 'openSUSE-11.4 OSS' metadata [/]
    Digest verification failed for packages.gz. Expected 758462513ab24f3b2c01b2644c2408a8d6c07e19, found 7a524b095f4e2894e118a4c6e4ac1f6d23086c86. Continue? [yes/no] (no): n
    Retrieving repository 'openSUSE-11.4 OSS' metadata [error]
    Repository 'openSUSE-11.4 OSS' is invalid.
    packages.gz has wrong checksum
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'openSUSE-11.4 OSS' because of the above error.
    Retrieving: 11.4 [error]
    Error: Download interrupted at 15%
    Abort, retry, ignore? [a/r/i] (a): a]
    I don't have dvd image but i have a live-cd. It doesn't work on my PC. Everything i boot into it the display is flickering. I tried every boot mode but none of them worked.
    Iso and cd media md5 is checked and fine, burned it twice though.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    I'm not sure what the problem is. You could try as su -

    Code:
    rpmdb --rebuilddb
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    On 04/30/2011 11:06 AM, caf4926 wrote:
    >
    > I'm not sure what the problem is


    maybe power out at software.opensuse.org <http://tinyurl.com/3sdnugp> ?

    --
    CAVEAT: http://is.gd/bpoMD
    [openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8 via NNTP]
    HACK Everything -> http://www.youtube.com/watch?v=j5b4CCe9pS8&NR=1

  8. #8
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    On 2011-04-30 06:36, jasbutut wrote:
    >
    > I need some advices and several questions before and in process of doing
    > dup on my 11.3 KDE to 11.4.


    http://en.opensuse.org/Upgrade

    > I already fully back up my data and created image of my partition. So,
    > it would not be problem for reverting back everything in case zypper dup
    > fail. I also already applied any available updates.


    That's very wise.


    > My first question is:
    > I'm currently using KDE 4.6 Factory Repo. Do I need enable this repo
    > during zypper dup process?


    Disable all repos, except oss, non-oss, and updates. Run the upgrade, and
    when everything works, consider readding repos.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.2 x86_64 "Emerald" at Telcontar)

  9. #9

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    Quote Originally Posted by caf4926 View Post
    I'm not sure what the problem is. You could try as su -

    Code:
    rpmdb --rebuilddb
    Thanks, it works

    Now, I can succesfully run zypper ref.

  10. #10

    Default Re: Need Advices Before zypper dup 11.3 to 11.4.

    Quote Originally Posted by DenverD View Post
    On 04/30/2011 11:06 AM, caf4926 wrote:
    >
    > I'm not sure what the problem is


    maybe power out at software.opensuse.org <http://tinyurl.com/3sdnugp> ?

    --
    CAVEAT: C A V E A T
    [openSUSE 11.3 + KDE4.5.5 + Thunderbird3.1.8 via NNTP]
    HACK Everything -> YouTube - How to Hack Everything!
    This is also could be the case.
    Was the power already up at 3.00 pm (UTC)?
    I did zypper ref by then.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •